[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomBitmap.Changed

Performs actions needed when the image data for the bitmap has been changed.

## Declaration

Source position: graphics.pp line 1396

`protected procedure TCustomBitmap.Changed(`
`Sender: TObject`
`); override;`

## Arguments

`Sender` |  | Object instance for the change notification.

## Description

Changed is an overridden method in TCustomBitmap. Changed examines the value in Sender to determine the origin for the change.

When Sender is the Canvas for the class instance, the image was changed after an update to its Canvas. The raw image data in the shared image is no longer valid, and it is freed. The inherited method is called to free the save stream for the shared image, set the value in Modified, and signal the OnChange event handler (when assigned).

## See also

TRasterImage.Changed |  | Changed - method to call when properties have changed.